ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Antonenko Alexander (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-18662) Check that Stack Version and repo URLs match up when registering repo
Date Fri, 21 Oct 2016 21:51:58 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-18662?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Antonenko Alexander updated AMBARI-18662:
-----------------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

committed to trunk

> Check that Stack Version and repo URLs match up when registering repo	
> ----------------------------------------------------------------------
>
>                 Key: AMBARI-18662
>                 URL: https://issues.apache.org/jira/browse/AMBARI-18662
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-web
>    Affects Versions: 2.4.0
>            Reporter: Antonenko Alexander
>            Assignee: Antonenko Alexander
>             Fix For: 3.0.0
>
>         Attachments: AMBARI-18662.patch
>
>
> Right now there's no validation when registering a repo to catch these type of user errors,
which caused a lot of problems down the road. We should have very basic validation using JS
so that if we detect a number like "2.5.0.0" we ensure that the selected stack is also HDP
2.5.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message